This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 633349 - Initscripts Fixes tracker (RHEL6)
Initscripts Fixes tracker (RHEL6)
Status: NEW
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: distribution (Show other bugs)
6.0
All Linux
medium Severity medium
: rc
: ---
Assigned To: RHEL Product and Program Management
Ben Levenson
: Tracking
Depends On: 584761 584766 619304 619387 1269053 500524 523127 530954 533867 533891 533895 534027 534029 536770 536823 536826 536828 536830 536837 536840 536887 536888 536894 537053 537082 537090 537322 538701 539065 539457 539460 539466 544161 546252 547324 553384 557756 558968 560631 560954 561010 561040 562151 562186 562742 562749 562855 563144 567957 567958 570467 570492 571733 572921 575757 575762 575816 576103 576209 576247 576531 576539 576846 578128 578172 578415 578425 578479 579054 579066 583979 584006 584009 584019 584306 584321 584377 584385 584411 584426 584517 584575 584676 584678 584699 584701 585119 585120 585123 585125 585126 587254 588222 588315 593228 593239 593673 594767 596039 596095 596809 605631 605706 605734 606805 607223 609816 612097 612110 613031 614924 616426 616852 617300 618540 618653 621122 626769 626773 627919 632665 1118300
Blocks:
  Show dependency treegraph
 
Reported: 2010-09-13 11:54 EDT by David Kovalsky
Modified: 2015-10-06 03:35 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: InitScriptsProject
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description David Kovalsky 2010-09-13 11:54:05 EDT
+++ This bug was initially created as a clone of Bug #521669 +++

This is a tracking bug for initscripts that are not compliant with:
https://fedoraproject.org/wiki/FCNewInit/Initscripts

--- Additional comment from kevin@tummy.com on 2009-09-07 13:12:02 EDT ---

This wiki page is not a Fedora guideline. ;) 

Please point people to the real page: 

https://fedoraproject.org/wiki/Packaging/SysVInitScript

Which likely has differences (although all the bugs I see off hand do seem to be valid against the real guideline page. )

--- Additional comment from dkovalsk@redhat.com on 2009-09-07 13:54:41 EDT ---

Thanks Kevin!

I'll update the info.

--- Additional comment from wtogami+fedora@gmail.com on 2009-09-08 17:36:45 EDT ---

Who decided that LSB compliance is a requirement?  I might be missing something.  Could you please clarify?

--- Additional comment from wtogami+fedora@gmail.com on 2009-09-10 09:24:19 EDT ---

Stop calling it LSB compliance, since that isn't actually what the bugs are?

--- Additional comment from psplicha@redhat.com on 2009-09-14 08:16:28 EDT ---

(In reply to comment #4)

> Stop calling it LSB compliance, since that isn't actually what
> the bugs are?  

Good point! If we're trying to make the initscripts compliant, we
should really make absolutely clear to what specification. If this
is not to be LSB but Fedora Guidelines, let's call it accordingly.

Anyway, why do we have the two Fedora initscript wiki pages? This
is not a good way how to create a standard. I suggest to merge the
two pages (seems to me that the FCNewInit/Initscripts is almost
copy and paste of LSB anyway).

One more question: Is it really good idea to enforce the "reload"
action for all services? I can imagine that some services really
do not support reloading config file on-the-fly and reporting
status code 3 [unimplemented feature (for example, "reload")]
(this example being th part of the guideline ?!) is a valid use
case. (There's always the force-reload if we don't care whether
the service function will be interrupted or not.)

--- Additional comment from dan@danny.cz on 2009-09-21 05:26:14 EDT ---

(In reply to comment #5)
> (In reply to comment #4)
> 
> > Stop calling it LSB compliance, since that isn't actually what
> > the bugs are?  
> 
> Good point! If we're trying to make the initscripts compliant, we
> should really make absolutely clear to what specification. If this
> is not to be LSB but Fedora Guidelines, let's call it accordingly.
> 
> Anyway, why do we have the two Fedora initscript wiki pages? This
> is not a good way how to create a standard. I suggest to merge the
> two pages (seems to me that the FCNewInit/Initscripts is almost
> copy and paste of LSB anyway).

It would be also helpful to have new sample initscript that's compliant with the requirements and that will be discussed in the Packaging Commitee and/or in the developers community even if this action is primarily targeted on RHEL6. All maintainers developing their own versions isn't really how it should work ...

> One more question: Is it really good idea to enforce the "reload"
> action for all services? I can imagine that some services really
> do not support reloading config file on-the-fly and reporting
> status code 3 [unimplemented feature (for example, "reload")]
> (this example being th part of the guideline ?!) is a valid use
> case. (There's always the force-reload if we don't care whether
> the service function will be interrupted or not.)

--- Additional comment from fedora-triage-list@redhat.com on 2009-11-16 07:01:25 EST ---


This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

--- Additional comment from psklenar@redhat.com on 2010-02-10 08:47:26 EST ---

(In reply to comment #6)
> (In reply to comment #5)
> > (In reply to comment #4)
> It would be also helpful to have new sample initscript that's compliant with
> the requirements and that will be discussed in the Packaging Commitee and/or in
> the developers community even if this action is primarily targeted on RHEL6.
> All maintainers developing their own versions isn't really how it should work

Which service and which version of this service is LSB 'almost' compliant now?





Creating RHEL6 tracking bug and splitting off Fedora.

Note You need to log in before you can comment on or make changes to this bug.